using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Entity.WorkMeeting;
using GxPress.Request.App.WorkMeeting;

namespace GxPress.Repository.Interface.WorkMeeting
{
    public interface IMeetingSummaryRepository : IRepository
    {
        Task<int> InsertAsync(MeetingSummary item);

        Task UpdateAsync(MeetingSummary item);

        Task<IEnumerable<MeetingSummary>> GetListAsync(string keyword,int userId,int typeId,int meetingId,int page=1,int perPage=10);

        Task<MeetingSummary> GetAsync(int id);

        Task<bool> DeleteAsync(int summaryId);

        Task DeleteByRoomIdAsync(int roomId);

         Task<MeetingSummary> GetAsync(SqlKata.Query query);

         Task<IEnumerable<MeetingSummaryResult>> GetListMeetingSummaryResultAsync(string keyword, int userId, int typeId, int meetingId, int page = 1, int perPage = 10);
    }
}